Cannot find Chrome. Try setting CHROME_EXECUTABLE to a Chrome executable. Flutter 2.0

Question

Asked by Kasun H on March 15, 2021 (source).

I updated My flutter Version from 1.22 to 2.0. There are some errors in Flutter Doctor. How Could I solve this. That happen Afer Updated my Flutter Version.

I am Using Android Studion 4.1.2, Ubuntu 20.04.2 LTS(64 bit)

enter image description here

Answer

Question answered by Chef T (source).

I'm on a Chromebook. I installed Flutter and Android Studio. When I ran $flutter doctor -v, I got the same error message that you got.

I didn't need to export the file path to my path environment. I just needed to install Chrome so that Flutter could find it on my Chromebook.

Here was the command that worked for me:

wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb

Then I installed it using the Linux beta command (right click on the downloaded file, install using Linux beta). It installed it to this directory:

/usr/bin/

(Alternatively, for the install, I could've used this command:

sudo apt install ./google-chrome-stable_current_amd64.deb)

I ran flutter doctor -v and now it finds Chrome.

ANDROID-STUDIO DART FLUTTER FLUTTER-WEB
SHARE: